=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2008-07-23 22:07:42 +0000
+++ bzrlib/bzrdir.py	2008-07-24 05:19:40 +0000
@@ -2973,13 +2973,13 @@
     branch_format='bzrlib.branch.BzrBranchFormat6',
     tree_format='bzrlib.workingtree.WorkingTreeFormat4',
     )
-format_registry.register_metadir('stacked',
+format_registry.register_metadir('1.6',
     'bzrlib.repofmt.pack_repo.RepositoryFormatKnitPack5',
     help='A branch and pack based repository that supports stacking. ',
     branch_format='bzrlib.branch.BzrBranchFormat7',
     tree_format='bzrlib.workingtree.WorkingTreeFormat4',
     )
-format_registry.register_metadir('stacked-rich-root',
+format_registry.register_metadir('1.6-rich-root',
     'bzrlib.repofmt.pack_repo.RepositoryFormatKnitPack5RichRoot',
     help='A branch and pack based repository that supports stacking '
          'and rich root data (needed for bzr-svn). ',

=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2008-07-24 05:05:20 +0000
+++ bzrlib/tests/blackbox/test_info.py	2008-07-24 06:10:47 +0000
@@ -247,8 +247,9 @@
         branch5 = tree5.branch
         out, err = self.run_bzr('info -v lightcheckout')
         self.assertEqualDiff(
-"""Lightweight checkout (format: dirstate or dirstate-tags or \
-pack-0.92 or rich-root or rich-root-pack or stacked or stacked-rich-root)
+"""Lightweight checkout (format: 1.6 or 1.6-rich-root \
+or dirstate or dirstate-tags or \
+pack-0.92 or rich-root or rich-root-pack)
 Location:
   light checkout root: lightcheckout
    checkout of branch: standalone
@@ -414,8 +415,9 @@
         # Out of date lightweight checkout
         out, err = self.run_bzr('info lightcheckout --verbose')
         self.assertEqualDiff(
-"""Lightweight checkout (format: dirstate or dirstate-tags or \
-pack-0.92 or rich-root or rich-root-pack or stacked or stacked-rich-root)
+"""Lightweight checkout (format: 1.6 or 1.6-rich-root or \
+dirstate or dirstate-tags or \
+pack-0.92 or rich-root or rich-root-pack)
 Location:
   light checkout root: lightcheckout
    checkout of branch: standalone
@@ -550,8 +552,9 @@
         datestring_first = format_date(rev.timestamp, rev.timezone)
         out, err = self.run_bzr('info tree/lightcheckout --verbose')
         self.assertEqualDiff(
-"""Lightweight checkout (format: dirstate or dirstate-tags or \
-pack-0.92 or rich-root or rich-root-pack or stacked or stacked-rich-root)
+"""Lightweight checkout (format: 1.6 or 1.6-rich-root or \
+dirstate or dirstate-tags or \
+pack-0.92 or rich-root or rich-root-pack)
 Location:
   light checkout root: tree/lightcheckout
    checkout of branch: repo/branch
@@ -673,8 +676,9 @@
         datestring_last = format_date(rev.timestamp, rev.timezone)
         out, err = self.run_bzr('info tree/lightcheckout --verbose')
         self.assertEqualDiff(
-"""Lightweight checkout (format: dirstate or dirstate-tags or \
-pack-0.92 or rich-root or rich-root-pack or stacked or stacked-rich-root)
+"""Lightweight checkout (format: 1.6 or 1.6-rich-root or \
+dirstate or dirstate-tags or \
+pack-0.92 or rich-root or rich-root-pack)
 Location:
   light checkout root: tree/lightcheckout
    checkout of branch: repo/branch
@@ -1088,9 +1092,9 @@
             (False, True): 'Lightweight checkout',
             (False, False): 'Checkout',
             }[(shared_repo is not None, light_checkout)]
-        format = {True: 'dirstate or dirstate-tags or pack-0.92'
-                        ' or rich-root or rich-root-pack'
-                        ' or stacked or stacked-rich-root',
+        format = {True: '1.6 or 1.6-rich-root'
+                        ' or dirstate or dirstate-tags or pack-0.92'
+                        ' or rich-root or rich-root-pack',
                   False: 'dirstate'}[light_checkout]
         if repo_locked:
             repo_locked = lco_tree.branch.repository.get_physical_lock_status()

=== modified file 'bzrlib/tests/test_info.py'
--- bzrlib/tests/test_info.py	2008-07-22 09:05:52 +0000
+++ bzrlib/tests/test_info.py	2008-07-24 05:19:40 +0000
@@ -146,9 +146,10 @@
             expected = None
             if key in ('dirstate', 'dirstate-tags', 'dirstate-with-subtree',
                 'pack-0.92', 'pack-0.92-subtree', 'rich-root',
-                'rich-root-pack', 'stacked', 'stacked-rich-root'):
-                expected = 'dirstate or dirstate-tags or pack-0.92 or'\
-                    ' rich-root or rich-root-pack or stacked or stacked-rich-root'
+                'rich-root-pack', '1.6', '1.6-rich-root'):
+                expected = '1.6 or 1.6-rich-root or ' \
+                    'dirstate or dirstate-tags or pack-0.92 or'\
+                    ' rich-root or rich-root-pack'
             if key in ('knit', 'metaweave'):
                 expected = 'knit or metaweave'
             self.assertCheckoutDescription(key, expected)

